package com.elephant.framework.galaxy.aroad.bigdata;

import java.util.List;

/**
 * @program: pingxiang_basedata
 * @description: ${description}
 * @author: dongjili
 * @create: 2019-03-21 11:15
 **/
public class ReadElasticsearch {
    public static void main(String[] args) throws Exception {
        createIndexAnd2Hbase();
    }

    public static void createIndexAnd2Hbase() throws Exception {
        //分词查询桥梁数据返回list集合
       //List<Basebridgealldata> basebridgealldataList = EsUtil_fanshe.queryBridge("广州桥", "basebridgealldata", "2018", 0, 2000000000);
        //词条查询桥梁代码数据返回list集合
//        List<Basebridgealldata> basebridgealldataList = EsUtil_fanshe.queryBridgeQLDM("G3W371726L0012", "basebridgealldata", "2018", 0, 2000000000);
//        for (Basebridgealldata basebridgealldata : basebridgealldataList) {
//            System.out.println(basebridgealldata);
//        }
        //分词查询路段数据返回list集合
       //ArrayList<Basehighwayalldata> basehighwayalldataList = EsUtil_fanshe.queryHighWay("广州桥", "basehighwayalldata", "2018", 0, 2000000000);
        //词条查询路线编号数据返回list集合
        List<Basehighwayalldata> basehighwayalldataList = EsUtil_fanshe.queryHighWayLXBH("S226", "basehighwayalldata", "2018", 0, 2000000000);
        for (Basehighwayalldata basehighwayalldata : basehighwayalldataList) {
            System.out.println(basehighwayalldata);
        }
        //分词查询隧道数据返回list集合
        //List<Basetunnelalldata> basetunnelalldataList = EsUtil_fanshe.queryTunnel("港沟", "basetunnelalldata", "2018", 0, 2000000000);
        //termquery()隧道代码词条查询返回list集合
        //List<Basetunnelalldata> basetunnelalldataList = EsUtil_fanshe.queryTunnelSDDM("S89370112U0010", "basetunnelalldata", "2018", 0, 2000000000);
       /* for (Basetunnelalldata basetunnelalldata : basetunnelalldataList) {
            System.out.println(basetunnelalldata);
        }*/
        //分词查询收费站数据返回list集合
        //ArrayList<BaseRoadToll_String> baseRoadTollStrings = EsUtil_fanshe.queryBaseRoadTollString("广州桥", "baseroadtolldata", "2018", 0, 2000000000);
       /* for (BaseRoadToll_String baseRoadTollString : baseRoadTollStrings) {
            System.out.println(baseRoadTollString.toString());
        }*/
        //分词查询服务区数据返回list集合
        //ArrayList<BaseHighWayService> baseHighWayServices = EsUtil_fanshe.queryBaseHighWayService("京岚线", "basehighwayservice", "2018", 0, 2000000000);
        /*for (BaseHighWayService baseHighWayService : baseHighWayServices) {
            System.out.println(baseHighWayService);
        }*/
       /* //封装查询匹配所有的名称
        ArrayList<String> names = new ArrayList<>();
        //查询匹配桥梁名称
        String bridgeOne = EsUtil_fanshe.queryBridgeOne("桥", "basicbridgedata", "2018", 0, 2000000000);
        names.add(bridgeOne);
        //查询匹配路段名称
        String highWayOne = EsUtil_fanshe.queryHighWayOne("桥", "basichighwaydata", "2018", 0, 2000000000);
        names.add(highWayOne);
        //查询匹配隧道名称
        String tunnelOne = EsUtil_fanshe.queryTunnelOne("桥", "basictunneldata", "2018", 0, 2000000000);
        names.add(tunnelOne);
        //查询匹配收费站名称
        String baseRoadTollOne = EsUtil_fanshe.queryBaseRoadTollOne("桥", "baseroadtolldata", "2018", 0, 2000000000);
        names.add(baseRoadTollOne);
        String baseHighWayServiceOne = EsUtil_fanshe.queryBaseHighWayServiceOne("桥", "baseroadtolldata", "2018", 0, 2000000000);
        names.add(baseHighWayServiceOne);
        System.out.println(names.toString());*/

    }
}
